package cz.frantovo.nekurak.dao;

import cz.frantovo.nekurak.dto.Podnik;
import java.util.Collection;
import javax.ejb.LocalBean;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 *
 * @author fiki
 */
@Stateless
@LocalBean
public class PodnikDAO {

    private static final String PU = "nekurak.net-PU";
    @PersistenceContext(unitName = PU)
    private EntityManager em;

    public Collection<Podnik> getPodniky() {
	Query dotaz = em.createQuery("FROM " + t(Podnik.class) + " o ORDER BY datum DESC");
	return dotaz.getResultList();
    }

    public void uloz(Podnik p) {
	em.persist(p);
    }

    private static String t(Class trida) {
	return trida.getSimpleName();
    }
}
